# $Revision: 1.46 $, $Date: 2005/03/20 20:48:54 $
Summary:	GNOME network programs
Summary(es):	Programas de red del GNOME
Summary(pl):	GNOME - programy sieciowe
Summary(pt_BR):	Programas de rede do GNOME
Summary(ru):	GNOME -    
Summary(uk):	GNOME -    
Name:		gnome-network
Version:	1.99.2
Release:	6
License:	GPL
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-network/1.99/%{name}-%{version}.tar.bz2
# Source0-md5:	ba71a10c0606379ac80d1d0a24555a41
Patch0:		%{name}-no_zvt.patch
Patch1:		%{name}-help-button.patch
Patch2:		%{name}-desktop.patch
Patch3:		%{name}-locale_names.patch
Patch4:		%{name}-ac.patch
Patch5:		%{name}-netinfo.patch
URL:		http://www.gnome.org/
Icon:		gnome-network.xpm
BuildRequires:	GConf2-devel >= 2.4.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-common >= 2.8.0
BuildRequires:	gnome-panel-devel >= 2.4.0
BuildRequires:	libglade2-devel
BuildRequires:	libgnomeui-devel >= 2.10.0-2
#Requires:	bind-utils
#Requires:	bsd-finger
#Requires:	iputils
#Requires:	net-tools
#Requires:	ssh-clients
#Requires:	telnet
#Requires:	vnc-client
Obsoletes:	gnome
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME network programs.

GNOME is the GNU Network Object Model Environment. That's a fancy name
but really GNOME is a nice GUI desktop environment. It makes using
your computer easy, powerful, and easy to configure.

%description -l es
Programas de red del GNOME GNOME es el Ambiente de Red Modelado por
Objetos de la GNU. Es un nombre fantasioso, pero GNOME es realmente un
buen ambiente grfico. Hace tu ordenador sencillo, potente y fcil de
configurar.

%description -l pl
Programy sieciowe dla GNOME.

%description -l pt_BR
Programas de rede do GNOME

GNOME  o Ambiente de Rede Modelado por Objetos da GNU.  um nome
fantasioso, mas o GNOME  realmente um bom ambiente grfico. Ele torna
seu computador fcil, poderoso e fcil de configurar.

%description -l ru
GNOME -    .

%description -l uk
GNOME -    .

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0
%patch5 -p0

mv -f po/{no,nb}.po

%build
glib-gettextize --copy --force
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-ifconfig="/sbin/ifconfig" \
	--with-vncviewer="/usr/bin/vncviewer" \
	--with-xnest="/usr/X11R6/bin/Xnest"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_datadir}/gnome/apps/*/* $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1 ||:

%postun
umask 022
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/gnome-network
%{_desktopdir}/*
%{_pixmapsdir}/*
%{_datadir}/application-registry/*
%{_datadir}/mime-info/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-network.spec,v $
Revision 1.46  2005/03/20 20:48:54  aflinta
- rebuild with howl 0.9.10, release 6

Revision 1.45  2005/01/12 14:30:57  qboosh
- umask in postun too

Revision 1.44  2005/01/12 13:53:31  krzak
- added update-desktop-database in pre/post
- rel 5

Revision 1.43  2005/01/11 19:06:41  qboosh
- gpm-friendly Source0 URL (note: latest is 1.99.5)

Revision 1.42  2005/01/11 11:16:29  krzak
- netinfo.patch fix segfault of gnome-netinfo
- STBR

Revision 1.41  2005/01/10 13:57:20  krzak
- ac.patch - remove deprecated GNOME_PLATFORM_GNOME_2 macro
- rel. 4

Revision 1.40  2004/09/15 18:24:37  grzegol
- in gnome-common-2.8.0 all macros are in %%{_aclocaldir}, not in
  %%{_aclocaldir}/gnome2-macros, so remove -I %%{_aclocal}/gnome2-macros from
  %%{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.39  2004/07/27 19:05:58  ankry
- desktop fixes, pl translations, no -> nb, rel. 3

Revision 1.38  2003/11/27 00:17:19  krzak
- stay with 1.99.2, newer version is in DEVEL branch

Revision 1.32  2003/11/19 22:30:04  krzak
- add help-button.patch that make help button usable
- rel 2

Revision 1.31  2003/10/31 14:05:29  qboosh
- BR: gnome-common (used in aclocal call)

Revision 1.30  2003/10/31 12:57:17  grzegol
- updated to 1.99.2
- commented out Requires (there is no need to have all of this)

Revision 1.29  2003/09/17 08:38:30  krzak
- update Requires (a lot)
- rel. 2

Revision 1.28  2003/09/01 11:17:32  grzegol
- updated to 1.99.1

Revision 1.27  2003/08/01 11:58:49  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.26  2003/07/04 14:29:47  qboosh
- pass paths to utilities, so they are not needed on builder

Revision 1.25  2003/06/04 08:24:31  trojan
- added no_zvt patch
- fixed BR

Revision 1.24  2003/06/04 07:47:18  trojan
- updated to 1.99.0
- removed obsoleted patches
- fixed BR
- added md5

Revision 1.23  2003/05/25 05:48:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/01/18 22:50:06  juandon
- removed two lines with define

Revision 1.21  2003/01/15 12:45:49  qboosh
- updated Source0 URL

Revision 1.20  2002/11/27 20:15:42  juandon
- new %%doc

Revision 1.19  2002/10/09 13:14:26  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.18  2002/06/23 20:52:51  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.17  2002/06/16 13:52:24  filon
- freshen confuig.* files (needed for athlon)
- added possibly needed file to %%files
- release 5

Revision 1.16  2002/04/25 16:26:45  arturs
fixed a small typo

Revision 1.15  2002/02/23 02:17:45  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:28:59  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/03 20:48:20  ankry
- adding es/pt/pt_BR Group translations

Revision 1.12  2002/01/28 08:40:18  kloczek
- correction: release 4.

Revision 1.11  2002/01/18 02:13:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/08/14 00:08:37  blues
- release 4
- configure2_13
- some translations added
- Networkdir pointed in make install

Revision 1.9  2001/02/02 17:50:34  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.8  2000/10/27 11:03:20  kloczek
- release 3,
- use new rpm automation,
- rebuild against gnome-libs linked with db3.

Revision 1.7  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/30 14:25:49  michuz
- release 2
- %%applnkdir changed

Revision 1.4  2000/05/16 20:51:41  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:14:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:20  baggins
- translated kloczkish into english

Revision 1.1  2000/01/28 21:32:53  kloczek
- initial verion (1.0.2-1) based on spec fron tar ball.
